Search found 342 matches

Re: DVB file

Hi Steven, First, the above only is converting your AutoCAD code to work on IntelliCAD. Yes, in case you want to select the block named "DAPDRB00" within a rectangle defined by two point corners, you should use the parameter vicSelectionSetInsideWindow instead. t_SSET.Select vicSelectionSe...

Re: DVB file

Hi Steven, Please refer to the official document and modify it to fix with the IntelliCAD. Select method.png Here's the modified function SSetCreate base on your one. Function SSetCreate(d_SetName As String, d_Mode As Integer, d_Data As String) As SelectionSet Dim t_SSET As SelectionSet Dim t_Point1...

Re: DVB file

Hi Steven, In VBA, there're distinguish between the Sub and the Function ( in Lisp, they call the Defun too). The difference between a function and a sub in VBA is that a function can return a value while a sub cannot. A Sub/Function can have or doesn't have arguments, in your attached, the function...

Re: DVB file

Hi Steven, You can refer to the sample code in the official document and then modify the VBA code to fixed with IntelliCAD. VBA_AddLine.png BTW, here is the IntelliCAD for changing the selected objects to red color. Public Sub MakeRed() Dim ss As SelectionSet Dim i As Integer For Each ss In ActiveDo...

Re: DWG DATABASE

Hi, The DataExtraction is a complex command, it uses many dialogs inputting, and depending on the selected by the user it'll return different results. The Lisp/AutoLisp is not a good selection to start, (making the dialog in Lisp is not easy). And VBA was not upgraded for many years, it doesn't full...

Re: DWG DATABASE

Hi , I'm not sure what you want to extract but we can extract any object properties such as length, area, volume, the value of the text, and dimension ... using either AutoLISP or VBA (Visual Basic for Application), also .NET and IRX (API classes for IntelliCAD). Please tell more detail if it is not...

Re: DVB file

Hi Steven,

In the visual basic editor of AutoCAD, please export the form to the .frm file.
Then, open the Editor of IntelliCAD and import the .frm file.

Do the same for the module and class.

Regards,

Re: DVB file

Hi Steven, The DVB is used for AutoCAD, but in IntelliCAD, the VBA file is .vbi. So you cannot directly open the .dvb file in IntelliCAD. Please load and open the DVB file in AutoCAD visual basic editor, and copy the codes from the editor (paste and save to a text file format). Then, open the Editor...

Re: TRIM

.... Question: What will happen if 3 lines cross at the same point? ie existing geometry. SteveN Hi Steven, Please refer this: (defun c:Trim3( / pt1 pt2 pt3 pt4 line1 line2) (setq pt0 (list 0 0) pt1 (list 10 5) pt2 (list 10 10) pt3 (list 5 10) pt4 (list 10 0) pt5 (list 0 10) ) (setq line1 (entmakex...

Re: TRIM

Hi Steven, I'm not sure fully understand your issue, but we can trim an object without picking. But we must supply a point on the object to complete the command. Refer this: (defun c:TrimX( / pt1 pt2 pt3 pt4 line1 line2) (setq pt1 (list 0 0) pt2 (list 10 0) pt3 (list 0 10) pt4 (list 10 10)) (setq li...

Go to advanced search

cron